## com.lowagie.text.pdf
Class BarcodePDF417.SegmentList

    java.lang.Object
      com.lowagie.text.pdf.BarcodePDF417.SegmentList

Enclosing class:
  BarcodePDF417

    protected static class BarcodePDF417.SegmentList

extends java.lang.Object

Field Summary
`protected java.util.ArrayList` `list`

Constructor Summary
`protected` `BarcodePDF417.SegmentList()`

Method Summary
`void` `add(char type, int start, int end)`
`BarcodePDF417.Segment` `get(int idx)`
`void` `remove(int idx)`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected java.util.ArrayList list

Constructor Detail

### BarcodePDF417.SegmentList

    protected BarcodePDF417.SegmentList()

Method Detail

### add

    public void add(char type,
                    int start,
                    int end)

### get

    public BarcodePDF417.Segment get(int idx)

### remove

    public void remove(int idx)

### size

    public int size()